aboutsummaryrefslogtreecommitdiff
path: root/contrib/mopenall
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/mopenall')
-rw-r--r--contrib/mopenall18
1 files changed, 18 insertions, 0 deletions
diff --git a/contrib/mopenall b/contrib/mopenall
new file mode 100644
index 0000000..7362197
--- /dev/null
+++ b/contrib/mopenall
@@ -0,0 +1,18 @@
+#!/bin/sh -e
+# mopenall [MSG] - open every attachements in xdg-open
+
+[ "$#" -eq 0 ] && set -- .
+
+f="$(mseq "$1" | sed 1q)"
+[ -z "$f" ] && printf 'No message %s.\n' "$1" 1>&2 && exit 1
+
+dir=$(mktemp -d -t menter.XXXXXX)
+cd "$dir"
+mshow -t "$1"
+mshow -B -x "$1" 2>/dev/null
+for f in * ; do
+ xdg-open "$f" &
+done
+wait
+echo rm -r "$dir"
+rm -r "$dir"